# Basic configurations


# Data
# Common
dataset: AC_Szada
crop_size: 112
num_workers: 1
repeats: 3200


# Optimizer
optimizer: SGD
lr: 0.001
lr_mode: const
weight_decay: 0.0005
step: 2


# Training related
batch_size: 32
num_epochs: 10
resume: ''
load_optim: True
anew: False
trace_freq: 1
device: cuda
metrics: 'F1Score+Accuracy+Recall+Precision'


# Experiment
exp_dir: ../exp/
out_dir: ''
# tag: ''
# suffix: ''
# DO NOT specify exp-config term
save_on: False
log_off: False
suffix_off: False


# Criterion
criterion: NLL
weights: 
  - 1.0   # Weight of no-change class
  - 10.0   # Weight of change class


# Model
model: siamunet_conc
num_feats_in: 3